<?php
/*
 * Plugin name: Grimlock for Getwid
 * Plugin URI:  https://www.themosaurus.com/
 * Description: Adds integration features for Grimlock and Getwid.
 * Author:      Themosaurus
 * Author URI:  https://www.themosaurus.com/
 * Version:     1.1.0
 * License:     GPL-2.0+
 * License URI: http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain: grimlock-getwid
 * Domain Path: /languages
 */

// Exit if accessed directly
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

define( 'GRIMLOCK_GETWID_VERSION',         '1.1.0' );
define( 'GRIMLOCK_GETWID_PLUGIN_FILE',     __FILE__ );
define( 'GRIMLOCK_GETWID_PLUGIN_DIR_PATH', plugin_dir_path( __FILE__ ) );
define( 'GRIMLOCK_GETWID_PLUGIN_DIR_URL',  plugin_dir_url( __FILE__ ) );

// Initialize update checker
require 'libs/plugin-update-checker/plugin-update-checker.php';
Puc_v4_Factory::buildUpdateChecker(
	'http://files.themosaurus.com/grimlock-getwid/version.json',
	__FILE__,
	'grimlock-getwid'
);

/**
 * Load plugin.
 */
function grimlock_getwid_loaded() {
	require_once 'inc/class-grimlock-getwid.php';

	global $grimlock_getwid;
	$grimlock_getwid = new Grimlock_Getwid();

	do_action( 'grimlock_getwid_loaded' );
}
add_action( 'grimlock_loaded', 'grimlock_getwid_loaded' );
